<?php

namespace SuperRhino\Utils;

use SuperRhino\Utils\Counter\CounterInterface;

/**
 * @method static bool existsRow(string $name, string $key)
 * @method static bool existsColumn(string $name, string $key, string $column)
 * @method static bool setRow(string $name, string $key, array $row)
 * @method static bool setColumn(string $name, string $key, string $column, int $count, bool $NX = false)
 * @method static array getRow(string $name, string $key)
 * @method static int getColumn(string $name, string $key, string $column)
 * @method static int increment(string $name, string $key, string $column, int $increment = 1)
 * @method static bool resetRow(string $name, string $key)
 * @method static bool resetColumn(string $name, string $key, string $column)
 */
class Counter extends Facade {

    protected static function getFacadeAccessor() {
        return CounterInterface::class;
    }

}